Subject: RFC 2446 conflict: Delegation and REPLY

From: [email-masked]
Date: Mon, 5 Jun 2000 13:49:16 -0400

Ok, while taking a breather to reread the RFCs yet again Ive found a 
discrepancy in RFC 2446 with respect to delegation and ATTENDEE 
properties.  In particular 

4.2.5 Delegating an Event

   When delegating an event request to another "Calendar User", the
   "Delegator" must both update the "Organizer" with a "REPLY" and send
   a request to the "Delegate". [Snip, snip]      The "Delegator" MUST:

     .  Send a "REPLY" to the "Organizer" with the following updates:
     .  The "Delegator's" "ATTENDEE" property "partstat" parameter set
        to "delegated" and the "delegated-to" parameter is set to the
        address of the "Delegate"
     .  Add an additional "ATTENDEE" property for the "Delegate" with
        the "delegated-from" property parameter set to the "Delegator"

says that on my REPLY to the Organizer I can have 2 (or possibly more if I 
do delegation to > 1 CU!) ATTENDEE properties in it.  A supporting example 
can be found in 4.2.6 Delegate Accepts the Meeting.  However these are in direct conflict with:

3.2.2.3 Delegating an Event to another CU
...
   In response to the request, the "Delegate" MUST send a "REPLY" method
   to the "Organizer" and optionally, to the "Delegator". The "REPLY"
   method " SHOULD include the "ATTENDEE" property with the "delegated-
   from" parameter value of the "Delegator's" calendar address.

and

3.2.3 REPLY
...
Component/Property  Presence
------------------- ----------------------------------------------
METHOD              1       MUST be "REPLY"
VEVENT              1+      All components MUST have the same UID
    ATTENDEE        1       MUST be the address of the Attendee
                            replying.

This last line precludes doing what 4.2.5 advocates.  Since we have not 
precluded that a Delegator can delegate to > 1 Delegatee, I think the 
table entry for ATTENDEE under 3.2.3 should be amended to:

    ATTENDEE        1+      MUST be the address of the Attendee
                            replying and MAY include addresses of
                            any delegates.

Bruce
===========================================================================
Bruce Kahn                                INet: [email-masked]
Iris Associates                          Phone: 978.392.5335
Westford, MA, USA 01886                    FAX: and nothing but the FAX...
Standard disclaimers apply, even where prohibited by law...

---

From: [email-masked]
Date: Mon, 5 Jun 2000 15:14:49 -0400

Why do I receive this email thread since last Friday?
I don't think I suscribed to that?
 
Thks 
 
Thierry Bonfante
Product Manager - Wireless Applications
 
CS&T / Lexacom
3333 Graham Boulevard, 5th floor, 
Montreal, QC., Canada
H3R 3L5
 
Tel: (514) 861-9146
Mobile: (514) 992-3397
E-mail: [email-masked]
 
-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, June 05, 2000 10:49 AM
To: [email-masked]
Subject: RFC 2446 conflict: Delegation and REPLY
Importance: High

Ok, while taking a breather to reread the RFCs yet again Ive found a
discrepancy in RFC 2446 with respect to delegation and ATTENDEE properties.
In particular 

says that on my REPLY to the Organizer I can have 2 (or possibly more if I
do delegation to > 1 CU!) ATTENDEE properties in it.  A supporting example
can be found in 4.2.6 Delegate Accepts the Meeting.  However these are in
direct conflict with: 

and 

3.2.3 REPLY 
... 

This last line precludes doing what 4.2.5 advocates.  Since we have not
precluded that a Delegator can delegate to > 1 Delegatee, I think the table
entry for ATTENDEE under 3.2.3 should be amended to: 

Bruce